%if 0%{?el7}
%define dist .el7
%endif

Name: cacti
Version: 0.8.8h
Release: 6%{?dist}.jp
Summary: An rrd based graphing tool
Epoch:	2

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group: Applications/System
# There's a lot of stuff in there. It's all compatible.
License: GPLv2+ and LGPLv2 and (MPLv1.1 or GPLv2 or LGPLv2) and (LGPLv2 or BSD)
URL: http://www.cacti.net/
Source0: http://www.cacti.net/downloads/%{name}-%{version}.tar.gz
Source1: cacti-httpd.conf
Source2: cacti.logrotate
Source3: cacti.README.Fedora
Source4: README-i18n.ja
Source5: %{name}-%{version}-locale.tar.xz

Patch0:	%{name}-%{version}-i18n.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: php, httpd, rrdtool, net-snmp, php-snmp, php-gettext
Requires: php-adodb
%if 0%{?fedora} >= 25
Requires: php-mysqlnd
Requires: mariadb-server, mariadb
%else
Requires: php-mysql
Requires: mysql
%endif
%if 0%{?fedora}
Requires: mariadb
%else
Requires: mysql
%endif
Requires(pre): %{_sbindir}/useradd
BuildArch: noarch
Conflicts: cacti-PIA

%description
Cacti is a complete frontend to RRDTool. It stores all of the
necessary information to create graphs and populate them with
data in a MySQL database. The frontend is completely PHP
driven. Along with being able to maintain graphs, data
sources, and round robin archives in a database, Cacti also
handles the data gathering. There is SNMP support for those
used to creating traffic graphs with MRTG.

%prep
%setup -q
%patch0 -p1

echo "#*/5 * * * *	cacti	%{_bindir}/php %{_datadir}/%{name}/poller.php > /dev/null 2>&1" >cacti.cron
rm -rf lib/adodb
sed -i 's/mysql/mysqli/g;' include/config.php
%if 0%{?fedora} >= 25
sed -i 's/"mysql"/"mysqlnd"/g;' install/index.php
%endif

sed -i 's@.*/adodb/adodb.inc.php.*@include_once("/usr/share/php/adodb/adodb.inc.php");@g;' include/global.php

%install
rm -rf %{buildroot}
%{__xz} -dc %{SOURCE5} | tar xf -
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/%{name}
%{__install} -d -m 0755 %{buildroot}/%{_docdir}/%{name}-%{version}
%{__install} -d -m 0755 %{buildroot}/%{_datadir}/%{name}/
%{__install} -d -m 0755 %{buildroot}/%{_datadir}/%{name}/plugins
%{__install} -m 0644 plugins/* %{buildroot}/%{_datadir}/%{name}/plugins/
%{__install} -m 0644 *.php %{buildroot}/%{_datadir}/%{name}/
%{__install} -d -m 0775 log/ %{buildroot}/%{_localstatedir}/log/%{name}/
%{__install} -m 0664 log/* %{buildroot}/%{_localstatedir}/log/%{name}/
%{__install} -d -m 0755 rra/ %{buildroot}/%{_localstatedir}/lib/%{name}/rra/
%{__install} -d -m 0755 scripts/ %{buildroot}/%{_localstatedir}/lib//%{name}/scripts/
%{__install} -m 0755 scripts/* %{buildroot}/%{_localstatedir}/lib/%{name}/scripts/
%{__install} -d -m 0755 cli/ %{buildroot}/%{_localstatedir}/lib//%{name}/cli/
%{__install} -m 0755 cli/*.php %{buildroot}/%{_localstatedir}/lib/%{name}/cli/
%{__install} -D -m 0644 cacti.cron %{buildroot}/%{_sysconfdir}/cron.d/cacti
%{__install} -D -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/cacti.conf
%{__install} -D -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/logrotate.d/cacti
%{__cp} -a locale/ images/ include/ install/ lib/ resource/ %{buildroot}%{_datadir}/%{name}
%{__cp} %{SOURCE3} ./docs/README.cacti
%{__cp} %{SOURCE4} ./docs/README-i18n.ja
%{__cp} -a docs/ %{buildroot}/%{_docdir}/%{name}-%{version}
%{__mv} %{buildroot}/%{_datadir}/%{name}/include/config.php %{buildroot}/%{_sysconfdir}/%{name}/db.php
%{__chmod} +x %{buildroot}/%{_datadir}/%{name}/cmd.php %{buildroot}/%{_datadir}/%{name}/poller.php
ln -s %{_sysconfdir}/%{name}/db.php %{buildroot}/%{_datadir}/%{name}/include/config.php
ln -s %{_localstatedir}/lib/%{name}/rra %{buildroot}/%{_datadir}/%{name}/
ln -s %{_localstatedir}/lib/%{name}/scripts %{buildroot}/%{_datadir}/%{name}/
ln -s %{_localstatedir}/log/%{name}/ %{buildroot}/%{_datadir}/%{name}/log
ln -s %{_datadir}/%{name}/lib %{buildroot}/%{_localstatedir}/lib/%{name}/
ln -s %{_datadir}/%{name}/include %{buildroot}/%{_localstatedir}/lib/%{name}/

%clean
rm -rf %{buildroot}

%pre
%{_sbindir}/useradd -d %{_datadir}/%{name} -r -s /sbin/nologin cacti 2> /dev/null || :

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/cli
%{_localstatedir}/lib/%{name}/scripts
%doc docs/ README cacti.sql
%{!?_licensedir:%global license %%doc}
%license LICENSE
%config(noreplace) %{_sysconfdir}/cron.d/cacti
%config(noreplace) %{_sysconfdir}/httpd/conf.d/cacti.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0640,cacti,apache) %config(noreplace) %{_sysconfdir}/%{name}/db.php
%{_datadir}/%{name}/*.php
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*
%dir %{_datadir}/%{name}/include
%{_datadir}/%{name}/include/*
%dir %{_datadir}/%{name}/install
%{_datadir}/%{name}/install/*
%dir %{_datadir}/%{name}/lib
%{_datadir}/%{name}/lib/*
%{_datadir}/%{name}/log
%dir %{_datadir}/%{name}/resource
%{_datadir}/%{name}/resource/* 
%dir %{_datadir}/%{name}/locale
%{_datadir}/%{name}/locale/*
%{_datadir}/%{name}/rra
%{_datadir}/%{name}/scripts
%{_datadir}/%{name}/plugins/*
%{_localstatedir}/lib/%{name}/scripts/*[^p]
%attr(-,cacti,apache) %{_localstatedir}/log/%{name}/
%attr(-,cacti,root) %{_localstatedir}/lib/%{name}/rra/
%attr(0644,root,root) %{_localstatedir}/lib/%{name}/scripts/*php
%attr(0644,root,root) %{_localstatedir}/lib/%{name}/cli/*php
%attr(0644,root,root) %{_localstatedir}/lib/%{name}/include
%attr(0644,root,root) %{_localstatedir}/lib/%{name}/lib
%{_docdir}/%{name}-%{version}

%changelog
* Tue Dec 06 2016 momo-i <webmaster@momo-i.org> - 2:0.8.8h-6.jp
- Fix sed

* Tue Dec 06 2016 momo-i <webmaster@momo-i.org> - 2:0.8.8h-5.jp
- Use php-adodb

* Tue Dec 06 2016 momo-i <webmaster@momo-i.org> - 2:0.8.8h-4.jp
- Fixed for fedora25

* Wed Nov 30 2016 momo-i <webmaster@momo-i.org> - 2:0.8.8h-3.jp
- Fix requires

* Tue Nov 29 2016 momo-i <webmaster@momo-i.org> - 2:0.8.8h-2.jp
- Rebuilt for fedora 25

* Tue May 10 2016 momo-i <webmaster@momo-i.org> - 2:0.8.8h-1.jp
- Update to 0.8.8h

* Wed Feb 24 2016 momo-i <webmaster@momo-i.org> - 2:0.8.8g-3.jp
- Delete post and postun script

* Wed Feb 24 2016 momo-i <webmaster@momo-i.org> - 2:0.8.8g-2.jp
- fix ERROR Non-fatal POSTIN scriptlet failure

* Wed Feb 24 2016 momo-i <webmaster@momo-i.org> - 2:0.8.8g-1.jp
- Update to 0.8.8g

* Tue Jan 12 2016 momo-i <webmaster@momo-i.org> - 2:0.8.8f-11.jp
- sql injection patch

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2:0.8.8f-10.jp
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2:0.8.8f-9.jp
- Rebuilt for fc23

* Tue Jul 21 2015 momo-i <webmaster@momo-i.org> - 0.8.8f-8
- Update to 0.8.8f

* Thu Jul 16 2015 momo-i <webmaster@momo-i.org> - 0.8.8e-7
- Update to 0.8.8e

* Thu Jul 02 2015 momo-i <webmaster@momo-i.org> - 0.8.8d-7
- Small fix logrotate error
- error: skipping "/var/log/cacti/cacti.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.

* Tue Jun 16 2015 momo-i <webmaster@momo-i.org> - 0.8.8d-6
- Disable get_language on sql

* Tue Jun 16 2015 momo-i <webmaster@momo-i.org> - 0.8.8d-5
- Update to 0.8.8d

* Mon Apr 13 2015 momo-i <webmaster@momo-i.org> - 0.8.8c-5
- Rebuilt for fc22

* Fri Nov 28 2014 momo-i <webmaster@momo-i.org> - 0.8.8c-4
- Fixed some files.
- Update some words.

* Thu Nov 27 2014 momo-i <webmaster@momo-i.org> - 0.8.8c-3
- Update to 0.8.8c

* Mon Apr  7 2014 momo-i <webmaster@momo-i.org> - 0.8.8b-3
- CVE-2014-2326 Unspecified HTML Injection Vulnerability
- CVE-2014-2328 Unspecified Remote Command Execution Vulnerability
- CVE-2014-2708 Unspecified SQL Injection Vulnerability
- CVE-2014-2709 Unspecified Remote Command Execution Vulnerability

* Tue Sep  3 2013 momo-i <webmaster@momo-i.org> - 0.8.8b-2
- CVE-2013-5589

* Wed Aug 14 2013 momo-i <webmaster@momo-i.org> - 0.8.8b-1
- Update to 0.8.8b

* Tue Mar 12 2013 momo-i <webmaster@momo-i.org> - 0.8.8a-5
- Fix for fedora 18 and apache 2.4

* Wed Jun 06 2012 momo-i <webmaster@momo-i.org> - 0.8.8a-4
- Official Patch applied: snmpv3_priv_proto_none.patch
- See http://www.cacti.net/download_patches.php

* Thu Apr 12 2012 momo-i <webmaster@momo-i.org> - 0.8.8-3
- Fixed html tag

* Thu Apr 12 2012 momo-i <webmaster@momo-i.org> - 0.8.8-2
- forgot plugins dir.

* Thu Apr 12 2012 momo-i <webmaster@momo-i.org> - 0.8.8-1
- Rebuild for 0.8.8.

* Tue Dec 27 2011 momo-i <webmaster@momo-i.org> - 0.8.7i-7
- Add Conflicts with cacti-PIA

* Mon Dec 26 2011 momo-i <webmaster@momo-i.org> - 0.8.7i-6
- 0.8.7i Build.
- Settings and Graph Settings Checkbox Save Issue Patch

* Wed Oct 05 2011 momo-i <webmaster@momo-i.org> - 0.8.7h-5
- Added Epoch.

* Tue Oct 04 2011 momo-i <webmaster@momo-i.org> - 0.8.7h-4
- Unofficial patch, fixed graph filters issue.

* Tue Oct 04 2011 momo-i <webmaster@momo-i.org> - 0.8.7h-3
- Separated from the patch to README-i18n.ja and po/mo files.

* Fri Sep 30 2011 momo-i <webmaster@momo-i.org> - 0.8.7h-1
- i18n patched

* Tue Jul 27 2010 momo-i <webmaster@momo-i.org> - 0.8.7g-1
- i18n patched
